## org.eclipse.ocl.ecore.impl
Class EcoreFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.ocl.ecore.impl.EcoreFactoryImpl

All Implemented Interfaces:
  Notifier, EFactory, EModelElement, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, EcoreFactory

    public class EcoreFactoryImpl

extends EFactoryImpl
implements EcoreFactory

An implementation of the model Factory.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`EDATE_FORMATS, ePackage`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.ocl.ecore.EcoreFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`EcoreFactoryImpl()` Creates an instance of the factory

Method Summary
`EObject` `create(EClass eClass)`
`AnyType` `createAnyType()`
`AssociationClassCallExp` `createAssociationClassCallExp()`
`BagType` `createBagType()`
`BooleanLiteralExp` `createBooleanLiteralExp()`
`CallOperationAction` `createCallOperationAction()`
`CollectionItem` `createCollectionItem()`
`CollectionLiteralExp` `createCollectionLiteralExp()`
`CollectionRange` `createCollectionRange()`
`CollectionType` `createCollectionType()`
`Constraint` `createConstraint()`
`ElementType` `createElementType()`
`EnumLiteralExp` `createEnumLiteralExp()`
`ExpressionInOCL` `createExpressionInOCL()`
`IfExp` `createIfExp()`
`IntegerLiteralExp` `createIntegerLiteralExp()`
`InvalidLiteralExp` `createInvalidLiteralExp()`
`InvalidType` `createInvalidType()`
`IterateExp` `createIterateExp()`
`IteratorExp` `createIteratorExp()`
`LetExp` `createLetExp()`
`MessageExp` `createMessageExp()`
`MessageType` `createMessageType()`
`NullLiteralExp` `createNullLiteralExp()`
`OperationCallExp` `createOperationCallExp()`
`OrderedSetType` `createOrderedSetType()`
`PrimitiveType` `createPrimitiveType()`
`PropertyCallExp` `createPropertyCallExp()`
`RealLiteralExp` `createRealLiteralExp()`
`SendSignalAction` `createSendSignalAction()`
`SequenceType` `createSequenceType()`
`SetType` `createSetType()`
`StateExp` `createStateExp()`
`StringLiteralExp` `createStringLiteralExp()`
`TupleLiteralExp` `createTupleLiteralExp()`
`TupleLiteralPart` `createTupleLiteralPart()`
`TupleType` `createTupleType()`
`TypeExp` `createTypeExp()`
`TypeType` `createTypeType()`
`UnlimitedNaturalLiteralExp` `createUnlimitedNaturalLiteralExp()`
`UnspecifiedValueExp` `createUnspecifiedValueExp()`
`Variable` `createVariable()`
`VariableExp` `createVariableExp()`
`VoidType` `createVoidType()`
`EcorePackage` `getEcorePackage()`
`static EcorePackage` `getPackage()` Deprecated.
`static EcoreFactory` `init()` Creates the default factory implementation

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, convertToString, createFromString, createFromString, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### EcoreFactoryImpl

    public EcoreFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static EcoreFactory init()

  Creates the default factory implementation.

### create

    public EObject create(EClass eClass)

  Specified by:
    `create` in interface `EFactory`
  Overrides:
    `create` in class `EFactoryImpl`

### createAnyType

    public AnyType createAnyType()

  Specified by:
    `createAnyType` in interface `EcoreFactory`
  Returns:
    a new object of class 'Any Type'.

### createBagType

    public BagType createBagType()

  Specified by:
    `createBagType` in interface `EcoreFactory`
  Returns:
    a new object of class 'Bag Type'.

### createCollectionType

    public CollectionType createCollectionType()

  Specified by:
    `createCollectionType` in interface `EcoreFactory`
  Returns:
    a new object of class 'Collection Type'.

### createElementType

    public ElementType createElementType()

  Specified by:
    `createElementType` in interface `EcoreFactory`
  Returns:
    a new object of class 'Element Type'.

### createInvalidType

    public InvalidType createInvalidType()

  Specified by:
    `createInvalidType` in interface `EcoreFactory`
  Returns:
    a new object of class 'Invalid Type'.

### createMessageType

    public MessageType createMessageType()

  Specified by:
    `createMessageType` in interface `EcoreFactory`
  Returns:
    a new object of class 'Message Type'.

### createOrderedSetType

    public OrderedSetType createOrderedSetType()

  Specified by:
    `createOrderedSetType` in interface `EcoreFactory`
  Returns:
    a new object of class 'Ordered Set Type'.

### createPrimitiveType

    public PrimitiveType createPrimitiveType()

  Specified by:
    `createPrimitiveType` in interface `EcoreFactory`
  Returns:
    a new object of class 'Primitive Type'.

### createSequenceType

    public SequenceType createSequenceType()

  Specified by:
    `createSequenceType` in interface `EcoreFactory`
  Returns:
    a new object of class 'Sequence Type'.

### createSetType

    public SetType createSetType()

  Specified by:
    `createSetType` in interface `EcoreFactory`
  Returns:
    a new object of class 'Set Type'.

### createTupleType

    public TupleType createTupleType()

  Specified by:
    `createTupleType` in interface `EcoreFactory`
  Returns:
    a new object of class 'Tuple Type'.

### createTypeType

    public TypeType createTypeType()

  Specified by:
    `createTypeType` in interface `EcoreFactory`
  Returns:
    a new object of class 'Type Type'.

### createVoidType

    public VoidType createVoidType()

  Specified by:
    `createVoidType` in interface `EcoreFactory`
  Returns:
    a new object of class 'Void Type'.

### createCallOperationAction

    public CallOperationAction createCallOperationAction()

  Specified by:
    `createCallOperationAction` in interface `EcoreFactory`
  Returns:
    a new object of class 'Call Operation Action'.

### createConstraint

    public Constraint createConstraint()

  Specified by:
    `createConstraint` in interface `EcoreFactory`
  Returns:
    a new object of class 'Constraint'.

### createSendSignalAction

    public SendSignalAction createSendSignalAction()

  Specified by:
    `createSendSignalAction` in interface `EcoreFactory`
  Returns:
    a new object of class 'Send Signal Action'.

### createExpressionInOCL

    public ExpressionInOCL createExpressionInOCL()

  Specified by:
    `createExpressionInOCL` in interface `EcoreFactory`
  Returns:
    a new object of class 'Expression In OCL'.

### createAssociationClassCallExp

    public AssociationClassCallExp createAssociationClassCallExp()

  Specified by:
    `createAssociationClassCallExp` in interface `EcoreFactory`
  Returns:
    a new object of class 'Association Class Call Exp'.

### createBooleanLiteralExp

    public BooleanLiteralExp createBooleanLiteralExp()

  Specified by:
    `createBooleanLiteralExp` in interface `EcoreFactory`
  Returns:
    a new object of class 'Boolean Literal Exp'.

### createCollectionItem

    public CollectionItem createCollectionItem()

  Specified by:
    `createCollectionItem` in interface `EcoreFactory`
  Returns:
    a new object of class 'Collection Item'.

### createCollectionLiteralExp

    public CollectionLiteralExp createCollectionLiteralExp()

  Specified by:
    `createCollectionLiteralExp` in interface `EcoreFactory`
  Returns:
    a new object of class 'Collection Literal Exp'.

### createCollectionRange

    public CollectionRange createCollectionRange()

  Specified by:
    `createCollectionRange` in interface `EcoreFactory`
  Returns:
    a new object of class 'Collection Range'.

### createEnumLiteralExp

    public EnumLiteralExp createEnumLiteralExp()

  Specified by:
    `createEnumLiteralExp` in interface `EcoreFactory`
  Returns:
    a new object of class 'Enum Literal Exp'.

### createIfExp

    public IfExp createIfExp()

  Specified by:
    `createIfExp` in interface `EcoreFactory`
  Returns:
    a new object of class 'If Exp'.

### createIntegerLiteralExp

    public IntegerLiteralExp createIntegerLiteralExp()

  Specified by:
    `createIntegerLiteralExp` in interface `EcoreFactory`
  Returns:
    a new object of class 'Integer Literal Exp'.

### createUnlimitedNaturalLiteralExp

    public UnlimitedNaturalLiteralExp createUnlimitedNaturalLiteralExp()

  Specified by:
    `createUnlimitedNaturalLiteralExp` in interface `EcoreFactory`
  Returns:
    a new object of class 'Unlimited Natural Literal Exp'.

### createInvalidLiteralExp

    public InvalidLiteralExp createInvalidLiteralExp()

  Specified by:
    `createInvalidLiteralExp` in interface `EcoreFactory`
  Returns:
    a new object of class 'Invalid Literal Exp'.

### createIterateExp

    public IterateExp createIterateExp()

  Specified by:
    `createIterateExp` in interface `EcoreFactory`
  Returns:
    a new object of class 'Iterate Exp'.

### createIteratorExp

    public IteratorExp createIteratorExp()

  Specified by:
    `createIteratorExp` in interface `EcoreFactory`
  Returns:
    a new object of class 'Iterator Exp'.

### createLetExp

    public LetExp createLetExp()

  Specified by:
    `createLetExp` in interface `EcoreFactory`
  Returns:
    a new object of class 'Let Exp'.

### createMessageExp

    public MessageExp createMessageExp()

  Specified by:
    `createMessageExp` in interface `EcoreFactory`
  Returns:
    a new object of class 'Message Exp'.

### createNullLiteralExp

    public NullLiteralExp createNullLiteralExp()

  Specified by:
    `createNullLiteralExp` in interface `EcoreFactory`
  Returns:
    a new object of class 'Null Literal Exp'.

### createOperationCallExp

    public OperationCallExp createOperationCallExp()

  Specified by:
    `createOperationCallExp` in interface `EcoreFactory`
  Returns:
    a new object of class 'Operation Call Exp'.

### createPropertyCallExp

    public PropertyCallExp createPropertyCallExp()

  Specified by:
    `createPropertyCallExp` in interface `EcoreFactory`
  Returns:
    a new object of class 'Property Call Exp'.

### createRealLiteralExp

    public RealLiteralExp createRealLiteralExp()

  Specified by:
    `createRealLiteralExp` in interface `EcoreFactory`
  Returns:
    a new object of class 'Real Literal Exp'.

### createStateExp

    public StateExp createStateExp()

  Specified by:
    `createStateExp` in interface `EcoreFactory`
  Returns:
    a new object of class 'State Exp'.

### createStringLiteralExp

    public StringLiteralExp createStringLiteralExp()

  Specified by:
    `createStringLiteralExp` in interface `EcoreFactory`
  Returns:
    a new object of class 'String Literal Exp'.

### createTupleLiteralExp

    public TupleLiteralExp createTupleLiteralExp()

  Specified by:
    `createTupleLiteralExp` in interface `EcoreFactory`
  Returns:
    a new object of class 'Tuple Literal Exp'.

### createTupleLiteralPart

    public TupleLiteralPart createTupleLiteralPart()

  Specified by:
    `createTupleLiteralPart` in interface `EcoreFactory`
  Returns:
    a new object of class 'Tuple Literal Part'.

### createTypeExp

    public TypeExp createTypeExp()

  Specified by:
    `createTypeExp` in interface `EcoreFactory`
  Returns:
    a new object of class 'Type Exp'.

### createUnspecifiedValueExp

    public UnspecifiedValueExp createUnspecifiedValueExp()

  Specified by:
    `createUnspecifiedValueExp` in interface `EcoreFactory`
  Returns:
    a new object of class 'Unspecified Value Exp'.

### createVariable

    public Variable createVariable()

  Specified by:
    `createVariable` in interface `EcoreFactory`
  Returns:
    a new object of class 'Variable'.

### createVariableExp

    public VariableExp createVariableExp()

  Specified by:
    `createVariableExp` in interface `EcoreFactory`
  Returns:
    a new object of class 'Variable Exp'.

### getEcorePackage

    public EcorePackage getEcorePackage()

  Specified by:
    `getEcorePackage` in interface `EcoreFactory`
  Returns:
    the package supported by this factory.

### getPackage

    @Deprecated
    public static EcorePackage getPackage()

  Deprecated.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.